com.threerings.micasa.lobby.table

## Class TableLobbyManager

- java.lang.Object
- - com.threerings.crowd.server.PlaceManager
  - - com.threerings.micasa.lobby.LobbyManager
    - - com.threerings.micasa.lobby.table.TableLobbyManager

All Implemented Interfaces:
  com.threerings.crowd.chat.server.SpeakHandler.SpeakerValidator, com.threerings.presents.dobj.ChangeListener, com.threerings.presents.dobj.MessageListener

    public class TableLobbyManager
    extends LobbyManager

Extends lobby manager only to ensure that a table lobby object is used for table lobbies.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.server.PlaceManager

`com.threerings.crowd.server.PlaceManager.DelegateOp, com.threerings.crowd.server.PlaceManager.MessageHandler`

### Constructor Summary

Constructors
Constructor and Description
`TableLobbyManager()`

### Method Summary

### Methods inherited from class com.threerings.micasa.lobby.LobbyManager

`init`

### Methods inherited from class com.threerings.crowd.server.PlaceManager

`addDelegate, applyToDelegates, applyToOccupants, bodyWillEnter, bodyWillLeave, checkPermissions, getConfig, getLocation, getPlaceObject, init, isValidSpeaker, messageReceived, ratifyBodyEntry, registerMessageHandler, shutdown, startup, toString, updateOccupantInfo, where`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TableLobbyManager

    public TableLobbyManager()